
%global git_commit 2dd9ba521a0dd4277c4bf6970a7f4e3894fd85ae

Name:           signon-plugin-oauth2
Version:        0.24
Release:    1%{?dist}
Summary:        OAuth2 plugin for the Accounts framework

License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/signon-plugin-oauth2

Source0:        https://gitlab.com/accounts-sso/signon-plugin-oauth2/repository/archive.tar.gz?ref=VERSION_%{version}#/%{name}-%{version}.tar.gz

Patch100: signon-plugin-oauth2-cxxflags.patch

BuildRequires: make
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  signon-devel
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  libproxy-devel

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -n %{name}-VERSION_%{version}-%{git_commit} -p1


%build
export PATH=%{_qt5_bindir}:$PATH
%qmake_qt5 \
    QMF_INSTALL_ROOT=%{_prefix} \
    CONFIG+=release \
    LIBDIR=%{?_libdir} \
    signon-oauth2.pro

%make_build


%install
%make_install INSTALL_ROOT=%{buildroot}

rm -fv %{buildroot}/%{_bindir}/signon-oauth2plugin-tests
rm -rfv %{buildroot}/%{_datadir}/signon-oauth2plugin-tests

rm -fv %{buildroot}/%{_bindir}/oauthclient
rm -rvf %{buildroot}/%{_sysconfdir}


%check
%make_build check



%files
%{_libdir}/signon/liboauth2plugin.so

%files devel
%{_includedir}/signon-plugins/*.h
%{_libdir}/pkgconfig/signon-oauth2plugin.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24-1
- initial build
